Skip to content
Myra Online Help Updated · 21 Aug 2026

Listing all traffic reports

Note

The query parameter language determines the language of the response. It is not a data filter and does not affect which traffic reports are returned.

Sends a GET request to the endpoint /reports-v2.

Description

The List-Traffic-Reports request allows the user to request a list of all traffic reports.

Requirements

Values of the request: none

Objects: none

Request

To request a list of all traffic reports, no additional information needs to be added to the path of the request.

The following optional query parameters are available to filter and sort the results:

Attribute Description Values
subscriptionId Filters the results by the ID of the subscription that generated the traffic report. integer
search Filters the results by a search term matched against the traffic report name. string
state Filters the results by the current processing state of the traffic report.
  • pending
  • processing
  • completed
  • failed
source Filters the results by the source of the traffic report. string
sort The attribute by which to sort the results. string
direction The sort direction.
  • asc
  • desc
page The page number for paginated results. Minimum value: 1. integer
perPage The number of entries per page. Minimum value: 1. integer

As a result, the user gets one or more report objects with the requested information.

The object provides the following information:

Attribute Description Values
id The ID of the traffic report. string
name The name of the traffic report. string
state The current processing state of the traffic report.
  • pending
  • processing
  • completed
  • failed
source The source of the traffic report. string
language The language of the traffic report output.
  • de
  • en
fromDate The start date of the traffic report period in ISO 8601 format. string($date)
toDate The end date of the traffic report period in ISO 8601 format. string($date)
domains The domain names included in the traffic report. array[string]
vhosts The virtual host names included in the traffic report. array[string]
comment A comment for the traffic report. string
subscriptionId The ID of the subscription that generated the traffic report. integer
modified The last modification date in ISO 8601 format. string($date-time)
created The creation date in ISO 8601 format. string($date-time)

Example

Example response:

[
  {
    "subscriptionId": 0,
    "search": "string",
    "state": "pending",
    "source": "string",
    "sort": "string",
    "direction": "asc",
    "page": 0,
    "perPage": 0,
    "id": "string",
    "name": "string",
    "language": "de",
    "fromDate": "2026-01-01",
    "toDate": "2026-01-01",
    "domains": [],
    "vhosts": [],
    "comment": "string",
    "modified": "2026-01-01T00:00:00+00:00",
    "created": "2026-01-01T00:00:00+00:00"
  }
]

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.